---
version: '3'

networks:
  traefik_network:
    external:
      name: homelabos_traefik

services:
  calibre-alpine:
    networks:
      - traefik_network
    ports:
      - '8082:8080'
    volumes:
      - "{{ storage_dir }}/Books:/library"
      - "{{ storage_dir }}/Downloads/Books:/incoming"
    image: lmorel3/calibre-alpine

  calibre-web:
    networks:
      - traefik_network
    restart: always
    volumes:
      - "{{ storage_dir }}/Books:/books"
      - "{{ volumes_root }}/calibre/calibre-web/config:/calibre-web/config"
    environment:
      - USE_CONFIG_DIR=true
      - SET_CONTAINER_TIMEZONE=true
      - CONTAINER_TIMEZONE={{common_timezone}}
      - PGID={{gid}}
      - PUID={{uid}}
    image: technosoft2000/calibre-web
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.services.calibre.loadbalancer.server.scheme=http"
      - "traefik.http.services.calibre.loadbalancer.server.port=8083"
      - "traefik.http.routers.calibre-http.rule=Host(`calibre.{{ domain }}`)"
      - "traefik.http.routers.calibre-http.entrypoints=http"
      - "traefik.http.routers.calibre-http.middlewares={% if calibre.https_only %}redirect@file, {% else %}{% if calibre.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}{% endif %}customFrameHomelab@file"
      - "traefik.http.routers.calibre.rule=Host(`calibre.{{ domain }}`)"
      - "traefik.http.routers.calibre.entrypoints=https"
      - "traefik.http.routers.calibre.middlewares={% if calibre.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab@file"
      - "traefik.http.routers.calibre.tls=true"
{% if traefik.dns_challenge_provider %}
      - "traefik.http.routers.calibre.tls.certresolver=dns"
      - "traefik.http.routers.calibre.tls.domains[0].main={{ domain }}"
      - "traefik.http.routers.calibre.tls.domains[0].sans=*.{{ domain }}"
{% else %}
      - "traefik.http.routers.calibre.tls.certresolver=http"
{% endif %}
{% if enable_tor %}
      - "traefik.http.routers.calibre-tor-http.rule=Host(`calibre.{{ tor_domain }}`)"
      - "traefik.http.routers.calibre-tor-http.entrypoints=http"
      - "traefik.http.routers.calibre-tor-http.middlewares={% if calibre.auth %}{% if enable_authelia %}authelia-tor@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab-tor@file"
{% endif %}
